# Campaigns Campaigns ## Creates a new campaign record that does not already exist. - [POST /campaigns/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/campaigns/createcampaign.md): This method will auto-generate an ID and create a new campaign. If an ID is specified for the campaign, an error will be thrown. ## Execute Batch Operations - [POST /campaigns/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/campaigns/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Searches for campaigns using predefined parameters - [POST /campaigns/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/campaigns/searchforcampaigns.md): Searches for campaigns using predefined parameters ## Returns a campaign from the system by its ID. - [DELETE /campaigns/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/campaigns/deletecampaign.md): This method will delete a campaign with the specified ID. ## Returns a campaign from the system by its ID. - [GET /campaigns/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/campaigns/getcampaign.md): This method will look up a campaign by the specified ID and return it back. ## Partially updates a campaign with the specified ID. - [PATCH /campaigns/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/campaigns/patchcampaign.md): This method will patch an existing campaign with the specified ID, using the HTTP PATCH specification. ## Updates a campaign with the specified ID. - [PUT /campaigns/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/campaigns/updatecampaign.md): This method will update an existing campaign with the specified ID.